Hi,

I agree with Pjotr123:

i'm stuck on version 14.84, because i don't want to take the risk to have a TV which works less than today...

Philips, i think you have to change something with...